<?xml version="1.0"?>
<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">

<!--    <type name="Academy\ImportExport\Service\Import">-->
<!--        <arguments>-->
<!--            <argument name="filename" xsi:type="string">rozetka.csv</argument>-->
<!--        </arguments>-->
<!--    </type>-->

    <virtualType name="rozetkaImport" type="Academy\ImportExport\Service\Import">
        <arguments>
            <argument name="filename" xsi:type="string">rozetka.csv</argument>
        </arguments>
    </virtualType>

    <virtualType name="eldoradoImport" type="Academy\ImportExport\Service\Import">
        <arguments>
            <argument name="filename" xsi:type="string">eldorado.csv</argument>
        </arguments>
    </virtualType>

    <virtualType name="comfyImport" type="Academy\ImportExport\Service\Import">
        <arguments>
            <argument name="filename" xsi:type="string">comfy.csv</argument>
        </arguments>
    </virtualType>

    <virtualType name="foxtrotImport" type="Academy\ImportExport\Service\Import">
        <arguments>
            <argument name="filename" xsi:type="string">foxtrot.csv</argument>
        </arguments>
    </virtualType>

    <type name="Academy\ImportExport\Console\Command\ImportExport">
        <arguments>
            <argument name="importers" xsi:type="array">
                <item name="rozetka" xsi:type="object">rozetkaImport</item>
                <item name="eldorado" xsi:type="object">eldoradoImport</item>
                <item name="comfy" xsi:type="object">comfyImport</item>
                <item name="foxtrot" xsi:type="object">foxtrotImport</item>
            </argument>
        </arguments>
    </type>

    <type name="Magento\Framework\Console\CommandListInterface">
        <arguments>
            <argument name="commands" xsi:type="array">
                <item name="academy_importexport" xsi:type="object">Academy\ImportExport\Console\Command\ImportExport</item>
            </argument>
        </arguments>
    </type>

</config>
